Skip to main content
GET
/
inbox
/
email
/
messages
/
{emailMessageId}
Get an email message
curl --request GET \
  --url https://api.altahq.com/v1/inbox/email/messages/{emailMessageId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "objectType": "email_message",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "subject": "<string>",
  "body": "<string>",
  "recipients": {
    "to": [
      {
        "name": "<string>",
        "email": "jsmith@example.com"
      }
    ],
    "cc": [
      {
        "name": "<string>",
        "email": "jsmith@example.com"
      }
    ],
    "bcc": [
      {
        "name": "<string>",
        "email": "jsmith@example.com"
      }
    ]
  },
  "sentAt": "2023-11-07T05:31:56Z",
  "emailThreadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "from": {
    "name": "<string>",
    "email": "jsmith@example.com"
  },
  "prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "repId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
Returns an email message object.

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Path Parameters

emailMessageId
string<uuid>
required

The UUID of the email message.

Response

The email message object

id
string<uuid>
required

Unique identifier for the object.

objectType
enum<string>
required

The type of this object.

Available options:
email_message
createdAt
string<date-time>
required

Timestamp when the object was created.

updatedAt
string<date-time>
required

Timestamp when the object was last updated.

subject
string
required

The email subject line.

body
string
required

The email body content.

recipients
object
required
sentAt
string<date-time>
required

Timestamp when the email was sent.

emailThreadId
string<uuid>

The ID of the email thread this message belongs to.

from
object

The sender of the email.

type
enum<string>

The type of the email message.

Available options:
manual,
campaign,
reply_agent,
received
status
enum<string>

The status of the email message.

Available options:
sent,
draft
prospectId
string<uuid>

The ID of the prospect associated with this message.

repId
string<uuid>

The ID of the rep associated with this message.